My Project: dht::log::Logger Struct Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dht::log::Logger Struct Reference

## Public Member Functions
| Logger (LogMethod &&l, std::string tag="")
| Logger (const Logger &parent, std::string tag)
std::shared_ptr< Logger > | createChild (std::string tag)
void | setFilter (std::string_view filter)
void | setFilter (const InfoHash &f)
void | log0 (source_loc loc, LogLevel level, fmt::string_view format, fmt::printf_args args) const
template<typename... Args>
void | debug (LogFormat< type_identity_t< Args >... > format, Args &&... args) const
template<typename... Args>
void | warn (LogFormat< type_identity_t< Args >... > format, Args &&... args) const
template<typename... Args>
void | error (LogFormat< type_identity_t< Args >... > format, Args &&... args) const
template<typename... T>
void | d (LogFormat< type_identity_t< T >... > format, T &&... args) const
template<typename... T>
void | w (LogFormat< type_identity_t< T >... > format, T &&... args) const
template<typename... T>
void | e (LogFormat< type_identity_t< T >... > format, T &&... args) const

## Detailed Description

Definition at line 115 of file logger.h.

## Constructor & Destructor Documentation

## ◆ Logger() [1/2]

dht::log::Logger::Logger | ( | LogMethod && | l,
|  | std::string | tag = "" )
| inline

Definition at line 118 of file logger.h.

## ◆ Logger() [2/2]

dht::log::Logger::Logger | ( | const Logger & | parent,
|  | std::string | tag )
| inline

Definition at line 126 of file logger.h.

## Member Function Documentation

## ◆ createChild()

std::shared_ptr< Logger > dht::log::Logger::createChild | ( | std::string | tag | ) |
| inline

Definition at line 132 of file logger.h.

## ◆ d()

template<typename... T>

void dht::log::Logger::d | ( | LogFormat< type_identity_t< T >... > | format,
|  | T &&... | args ) const
| inline

Definition at line 180 of file logger.h.

## ◆ debug()

template<typename... Args>

void dht::log::Logger::debug | ( | LogFormat< type_identity_t< Args >... > | format,
|  | Args &&... | args ) const
| inline

Definition at line 162 of file logger.h.

## ◆ e()

template<typename... T>

void dht::log::Logger::e | ( | LogFormat< type_identity_t< T >... > | format,
|  | T &&... | args ) const
| inline

Definition at line 190 of file logger.h.

## ◆ error()

template<typename... Args>

void dht::log::Logger::error | ( | LogFormat< type_identity_t< Args >... > | format,
|  | Args &&... | args ) const
| inline

Definition at line 174 of file logger.h.

## ◆ log0()

void dht::log::Logger::log0 | ( | source_loc | loc,
|  | LogLevel | level,
|  | fmt::string_view | format,
|  | fmt::printf_args | args ) const
| inline

Definition at line 156 of file logger.h.

## ◆ setFilter() [1/2]

void dht::log::Logger::setFilter | ( | const InfoHash & | f | ) |
| inline

Definition at line 154 of file logger.h.

## ◆ setFilter() [2/2]

void dht::log::Logger::setFilter | ( | std::string_view | filter | ) |
| inline

Definition at line 140 of file logger.h.

## ◆ w()

template<typename... T>

void dht::log::Logger::w | ( | LogFormat< type_identity_t< T >... > | format,
|  | T &&... | args ) const
| inline

Definition at line 185 of file logger.h.

## ◆ warn()

template<typename... Args>

void dht::log::Logger::warn | ( | LogFormat< type_identity_t< Args >... > | format,
|  | Args &&... | args ) const
| inline

Definition at line 168 of file logger.h.

The documentation for this struct was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/logger.h